summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2015-12-23 14:09:36 +0200
committerAlon Bar-Lev <alonbl@gentoo.org>2015-12-23 15:49:26 +0200
commit4af1ce83451fd05ae3387c564856f4d8cedd54b9 (patch)
tree745cac42740736d3a91d25bf0dbbc3c486fee2d0 /app-crypt
parentdev-python/hgtools: add py3.5 support to vn. 6.3 (diff)
downloadgentoo-4af1ce83451fd05ae3387c564856f4d8cedd54b9.tar.gz
gentoo-4af1ce83451fd05ae3387c564856f4d8cedd54b9.tar.bz2
gentoo-4af1ce83451fd05ae3387c564856f4d8cedd54b9.zip
app-crypt/hmaccalc: version bump
Package-Manager: portage-2.2.24
Diffstat (limited to 'app-crypt')
-rw-r--r--app-crypt/hmaccalc/Manifest1
-rw-r--r--app-crypt/hmaccalc/hmaccalc-0.9.14.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/app-crypt/hmaccalc/Manifest b/app-crypt/hmaccalc/Manifest
index a3d6cd1cdc8..c3cff4166ab 100644
--- a/app-crypt/hmaccalc/Manifest
+++ b/app-crypt/hmaccalc/Manifest
@@ -1 +1,2 @@
DIST hmaccalc-0.9.13.tar.gz 106979 SHA256 9a00b507555e45f58c1659d28f4d27e63373735a30cfe70e2c939f679cd266cc SHA512 899e95dcebf85dbb64ea543d530e3819c2dd72dfbdc1f06e7f37418f9045a8018c49ace96c6090e08b18406edc3efa196ea9fcd9b7b8d8e151f80b2eaba512c0 WHIRLPOOL 7af722b3875656113f7a7fa67a9e9bf2014b1b2873cf601f512dd361a40894fae94c667c06ec5f16291df459ea8c8d4634f828645d62eb6560350b22cd684506
+DIST hmaccalc-0.9.14.tar.gz 111893 SHA256 5fb659153a5748653ae45ce94700932a08796f972eedb3220750f93037b558a3 SHA512 688a72b4e534ca4a1d45a116c0361ffd389de93dfdeec68e35cbffe0be13832789abaf33300003e12c7317ba473d3a0415f4b22cb3b7b36946c04bd40aa49184 WHIRLPOOL 00a7b2be3776aeb6ecc2baca59694312d1cd4e491671b505464008bd4525c8fba0175baf241936caa7d5a43d16645022b4d1e6475bc4a60d8903d955c969dc64
diff --git a/app-crypt/hmaccalc/hmaccalc-0.9.14.ebuild b/app-crypt/hmaccalc/hmaccalc-0.9.14.ebuild
new file mode 100644
index 00000000000..eafb33cf9d8
--- /dev/null
+++ b/app-crypt/hmaccalc/hmaccalc-0.9.14.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils multilib
+
+DESCRIPTION="Tools for computing and checking HMAC values for files"
+HOMEPAGE="https://fedorahosted.org/hmaccalc/"
+SRC_URI="https://fedorahosted.org/released/hmaccalc/hmaccalc-${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+fips"
+
+DEPEND="dev-libs/nss
+ sys-devel/prelink"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ econf \
+ --enable-sum-directory=/usr/$(get_libdir)/${PN}/ \
+ $(use_enable !fips non-fips) \
+ || die "econf failed"
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "emake install failed"
+ dodoc README
+}